function isRunning(arg) {
    const win = arg.win;
    const mac = arg.mac;
    const linux = arg.linux;

    return new Promise(function (resolve, reject) {
        const exec = require('child_process').exec;
        const plat = process.platform;

        /* prettier-ignore */
        const cmd = plat == 'win32'  ? 'tasklist'
                  : plat == 'darwin' ? 'ps -ax | grep ' + mac
                  : plat == 'linux'  ? 'ps -A'
                  : '';

        const proc = plat == 'win32' ? win : plat == 'darwin' ? mac : plat == 'linux' ? linux : '';
        if (cmd === '' || proc === '') {
            resolve(false);
        }
        exec(cmd, function (err, stdout, stderr) {
            resolve(stdout.toLowerCase().indexOf(proc.toLowerCase()) > -1);
        });
    });
}

module.exports = isRunning;
